
package demo;
import biz.wisesoft.util.mail.*;

public class GetMailUtil extends Thread
{
	private Pop3Client pop3ClientPanel;
	private int mailIndex;
	private MsgPart mp;
	
	public GetMailUtil(Pop3Client pop3ClientPanel, int mailIndex)
	{
		this.pop3ClientPanel = pop3ClientPanel;
		this.mailIndex = mailIndex;
		this.start();
	}
	
	public void run()
	{
		pop3ClientPanel.mailStatusLabel.setText("Retrieving mail : " + mailIndex + ", please wait .....");
		pop3ClientPanel.getMailHeadersButton.setEnabled(false);
		pop3ClientPanel.getMailButton.setEnabled(false);
		try
		{
			pop3ClientPanel.openConnection();
		EmailMessage em= pop3ClientPanel.pop.retrieveMsg(mailIndex);
		MsgPart mp=em.getPart(1);
		
			if(mp!= null)
			{
				pop3ClientPanel.bodyField.setText(mp.getData());
			}
		}
		catch(Exception e)
		{
			System.out.println("Exception occured from GetMailThread : "+e);
		}
		finally
		{
			pop3ClientPanel.mailStatusLabel.setText("");
			pop3ClientPanel.getMailHeadersButton.setEnabled(true);
			pop3ClientPanel.getMailButton.setEnabled(true);
		
		}
	}
}